TransObj

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class TransObj

    java.lang.Object
      network.TransObj

public class TransObj
extends java.lang.Object

TransObj Klasse Stellt ein transportiertes Objekt mit den Parametern Nr, Name, Radius, Höhe dar

Constructor Summary
`TransObj()` Default-Konstruktor
`TransObj(int pNr, java.lang.String pName, float pRad, float pHeight)` Konstruktor
`TransObj(java.lang.String pName, float pRad, float pHeight)` Konstruktor

Method Summary
`void` | `addToTable(org.eclipse.swt.widgets.Table t)` Fügt die eigenen Werte des TransObj in eine Tabelle hinzu
`float` | `getHeight()`
`java.lang.String` | `getName()`
`int` | `getNr()` GET - Methoden
`float` | `getRad()`
`boolean` | `isDeleted()`
`boolean` | `isSynchronized()`
`void` | `setDeleted(boolean pDeleted)`
`void` | `setHeight(float pHeight)`
`void` | `setName(java.lang.String pName)`
`void` | `setNr(int pNr)` SET - Methoden
`void` | `setRad(float pRad)`
`void` | `setSynchronized(boolean pSync)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransObj

    public TransObj()

  Default-Konstruktor

### TransObj

    public TransObj(java.lang.String pName,
                    float pRad,
                    float pHeight)

  Konstruktor

Parameters:
  `pName` - Name des Transportobjektes
  `pRad` - Radius des Transportobjektes
  `pHeight` - Höhe des Transportobjektes

### TransObj

    public TransObj(int pNr,
                    java.lang.String pName,
                    float pRad,
                    float pHeight)

  Konstruktor

Parameters:
  `pNr` - Nummer des Transportobjektes
  `pName` - Name des Transportobjektes
  `pRad` - Radius des Transportobjektes
  `pHeight` - Höhe des Transportobjektes

Method Detail

### addToTable

    public void addToTable(org.eclipse.swt.widgets.Table t)

  Fügt die eigenen Werte des TransObj in eine Tabelle hinzu

  Parameters:
    `t` - Tabelle in die die Werte eingefügt werden sollen

### getNr

    public int getNr()

  GET - Methoden

### getName

    public java.lang.String getName()

### getRad

    public float getRad()

### getHeight

    public float getHeight()

### isSynchronized

    public boolean isSynchronized()

### isDeleted

    public boolean isDeleted()

### setNr

    public void setNr(int pNr)

  SET - Methoden

### setName

    public void setName(java.lang.String pName)

### setRad

    public void setRad(float pRad)

### setHeight

    public void setHeight(float pHeight)

### setSynchronized

    public void setSynchronized(boolean pSync)

### setDeleted

    public void setDeleted(boolean pDeleted)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD